<?php

        global $conf, $db, $langs, $user, $hookmanager;

        if (empty($conf->global->DOLITOOLS_USE_CUSTOMREF)) return;

        if (! in_array('propalcard',$hookmanager->contextarray) && ! in_array('ordercard',$hookmanager->contextarray) && ! in_array('invoicecard',$hookmanager->contextarray) && ! in_array('expeditioncard',$hookmanager->contextarray)) return;

        $langs->load('customref@dolitools');

  		$element = $object->element;

		// TODO uniformiser
		if ($element == 'propal') $element = 'propale';

		if ($element == 'propale' || $element=='commande' || $element == 'facture' || $element == 'shipping')
		{
			// Clone confirmation
			$glovar = "CUSTOMREF_".strtoupper($element)."_SUFFIX_ON_CLONE";
			global $confirm;
			if ($action == 'confirm_clone' && $confirm == 'yes' && $user->rights->commande->creer) {
				if ( ! empty($conf->global->$glovar))
				{
					$_GET['clone_ref'] = dol_string_nospecial(trim($_GET['clone_ref']));
				}
				if ($object->element == 'commande' && $object->array_options['options_rental_doc'] && $conf->global->DOLITOOLS_CLONE_RENTAL_ORDER_TO_PROPOSAL) {
					$order_to_proposal = true;
					require_once DOL_DOCUMENT_ROOT.'/comm/propal/class/propal.class.php';
					$propal = new Propal($db);
					$propal->entity               = $object->entity;

					$propal->socid = GETPOST('socid');

					$propal->ref                  = $object->ref;
					$propal->ref_client           = $object->ref_client;
					$propal->remise               = $object->remise;
					$propal->remise_percent       = $object->remise_percent;
					$propal->remise_absolue       = $object->remise_absolue;
					$propal->total                = $object->total; // TODO deprecated
					$propal->total_ht             = $object->total_ht;
					$propal->total_tva            = $object->tva;
					$propal->total_localtax1		= $object->localtax1;
					$propal->total_localtax2		= $object->localtax2;
					$propal->total_ttc            = $object->total;

					$propal->fk_project           = $object->fk_project;
					$propal->modelpdf             = $object->model_pdf;
					$propal->last_main_doc		= $object->last_main_doc;
					$propal->note                 = $object->note_private; // TODO deprecated
					$propal->note_private         = $object->note_private;
					$propal->note_public          = $object->note_public;
					$propal->statut               = (int) $object->fk_statut;
					$propal->statut_libelle       = $object->statut_label;

					$propal->datec                = $object->datec; // TODO deprecated
					$propal->datev                = $object->datev; // TODO deprecated
					$propal->date_creation		= $object->datec; //Creation date
					$propal->date_validation		= $object->datev; //Validation date
					$propal->date_modification	= $object->date_modification; // tms
					$propal->date                 = $object->date;	// Proposal date
					$propal->datep                = $object->datep;    // deprecated
					$propal->date_livraison       = $object->date_livraison;
					$propal->shipping_method_id   = $object->shipping_method_id;
					$propal->availability_id      = $object->availability_id;
					$propal->availability_code    = $object->availability_code;
					$propal->availability         = $object->availability;
					$propal->demand_reason_id     = $object->demand_reason_id;
					$propal->demand_reason_code   = $object->demand_reason_code;
					$propal->demand_reason        = $object->demand_reason;
					$propal->fk_address  		  = $object->fk_address;

					$propal->mode_reglement_id    = $object->mode_reglement_id;
					$propal->mode_reglement_code  = $object->mode_reglement_code;
					$propal->mode_reglement       = $object->mode_reglement;
					$propal->fk_account           = $object->fk_account;
					$propal->cond_reglement_id    = $object->cond_reglement_id;
					$propal->cond_reglement_code  = $object->cond_reglement_code;
					$propal->cond_reglement       = $object->cond_reglement;
					$propal->cond_reglement_doc   = $object->cond_reglement_doc;

					$propal->extraparams			= $object->extraparams;

					$propal->user_author_id = $object->fk_user_author;
					$propal->user_valid_id  = $object->fk_user_valid;
					$propal->user_close_id  = $object->fk_user_cloture;

					//Incoterms
					$propal->fk_incoterms = $object->fk_incoterms;
					$propal->location_incoterms = $object->location_incoterms;
					$propal->libelle_incoterms = $object->libelle_incoterms;

					// Multicurrency
					$propal->fk_multicurrency 		= $object->fk_multicurrency;
					$propal->multicurrency_code 		= $object->multicurrency_code;
					$propal->multicurrency_tx 		= $object->multicurrency_tx;
					$propal->multicurrency_total_ht 	= $object->multicurrency_total_ht;
					$propal->multicurrency_total_tva 	= $object->multicurrency_total_tva;
					$propal->multicurrency_total_ttc 	= $object->multicurrency_total_ttc;

					$propal->brouillon = 1;

					// Retreive all extrafield
					// fetch optionals attributes and labels
					$propal->array_options = $object->array_options;

					// retrieve lines
					$propal->lines = $object->lines;

					// clone to propal
					$result = $propal->create($user);
					if ($result > 0) {
						if ( ! empty($conf->global->DOLITOOLS_CHECK_ON_CLONE)) {
							$object = $propal;
							$object->context['createfromclone'] = 'createfromclone';
							include_once(__DIR__.'/../checkonclone/createfrom.inc.php');
						}
						header("Location: " . DOL_URL_ROOT. '/comm/propal/card.php?id=' . $result);
						exit();
					} else {
						if (count($propal->errors) > 0) setEventMessages($propal->error, $propal->errors, 'errors');
						$action = '';
					}
				}
				return;
			}

			// check ref not already taken when click on create draft
			$glovar = "CUSTOMREF_".strtoupper($element)."_NOPROV";
			if ($action == 'add' && !empty($conf->global->$glovar))
			{
				$soc = new Societe($db);
				$socid=GETPOST('socid','int');
				if ($socid>0) $res=$soc->fetch($socid);

				$nextref = $object->getNextNumRef($soc);
				$ref = GETPOST('ref1','alpha');
				$glovar = "CUSTOMREF_".strtoupper($element)."_SUFFIX_ON_CREATE";
				if (!empty($conf->global->$glovar))
				{
					$numref = substr($ref,0,strlen($nextref));
					$refsuffix = dol_string_nospecial(trim(substr($ref, strlen($nextref))));
					if ($numref != $nextref)
					{
						$action = 'add';
						$_POST['ref'] = $nextref.$refsuffix;
						return 0;
					}
					elseif (GETPOST('ref1','alpha'))
					{
						$_POST['ref'] = GETPOST('ref1','alpha');
					}
				}
				elseif ($ref != $nextref)
				{
					$action = 'add';
					$_POST['ref'] = $nextref;
					return 0;
				}
			}
		}
