<?php

        global $conf, $db, $langs, $user, $hookmanager;

        if (empty($conf->global->DOLITOOLS_USE_CUSTOMREF)) return;

        if (! in_array('propalcard',$hookmanager->contextarray) && ! in_array('ordercard',$hookmanager->contextarray) && ! in_array('invoicecard',$hookmanager->contextarray)) return;

        $langs->load('customref@dolitools');

  		$element = $object->element;

		// TODO uniformiser
		if ($element == 'propal') $element = 'propale';

		$sep = $conf->global->CUSTOMREF_SEPARATOR?$conf->global->CUSTOMREF_SEPARATOR:'';
		$lensep = mb_strlen($sep);

		if ($element == 'propale' || $element=='commande' || $element == 'facture')
		{
			$glovar = "CUSTOMREF_".strtoupper($element)."_SUFFIX_ON_CLONE";
			if ($action == 'clone' && !empty($conf->global->$glovar))
			{

				switch($element)
				{
					case 'propale':
						$msg = 'Propal';
						$savdate = $object->datep;
						$object->datep = dol_now();
						break;
					case 'commande':
						$msg = 'Order';
						$savdate = $object->date;
						$object->date = dol_now();
						break;
					case 'facture':
						$msg = 'Invoice';
						$savdate = $object->date;
						$object->date = dol_now();
						break;
				}

				$soc = new Societe($db);
				$socid=GETPOST('socid','int');
				if ($socid>0) $res=$soc->fetch($socid);

				if ($object->element == 'commande' && $object->array_options['options_rental_doc'] && $conf->global->DOLITOOLS_CLONE_RENTAL_ORDER_TO_PROPOSAL) {
					$order_to_proposal = true;
					require_once DOL_DOCUMENT_ROOT.'/comm/propal/class/propal.class.php';
					$propal = new Propal($db);
					$propal->array_options['options_rental_doc'] = 1;
					$nextref = $propal->getNextNumRef($soc);
				}
				else $nextref = $object->getNextNumRef($soc);

				$glovar2 = "CUSTOMREF_".strtoupper($element)."_NOPROV";
				if ( ! empty($conf->global->$glovar2) ) $numref = $nextref;
				else {
					$numref = '(PROV)';
				}

				// restauration dates
				switch($object->element)
				{
					case 'propale':
						$object->datep = $savdate;
						break;
					default:
						$object->date = $savdate;
						break;
				}

				$lgref = strlen($numref);
				$newref = $numref;

				if ($order_to_proposal) $refsuffix = '';
				elseif ( empty($conf->global->$glovar2) ) {
					$pos = strpos($object->ref, ')');
					if ($pos !== FALSE) {
						$refori = substr($object->ref, 0, $pos+1);
						$refsuffix = dol_string_nospecial(trim($sep.substr($object->ref, $pos+1)));
					}
					else {
						$refori = substr($object->ref, 0, strlen($nextref));
						$refsuffix = dol_string_nospecial(trim($sep.substr($object->ref, strlen($nextref))));
					}
				}
				else {
					$refori = substr($object->ref,0,$lgref);
					$refsuffix = dol_string_nospecial(trim($sep.substr($object->ref, $lgref)));
				}

				$form = new Form($db);

				$maxchars = $conf->global->DOLITOOLS_MAX_LENGTH_FOR_CUSTOMREF ? $conf->global->DOLITOOLS_MAX_LENGTH_FOR_CUSTOMREF : 30 - strlen($refori);
				$maxcharsnewref = $conf->global->DOLITOOLS_MAX_LENGTH_FOR_CUSTOMREF ? $conf->global->DOLITOOLS_MAX_LENGTH_FOR_CUSTOMREF : 30 - strlen($newref);

				// Create an array for form
				$formquestion[] = array('type' => 'text',
					  'name' => 'clone_ref',
					  'label' => $langs->trans("Ref").(empty($order_to_proposal)?'<span id="radio_refori"><input type="radio" name="refori" id="refori" value="'.$refori.'" checked="checked"/>'.$refori.'</span>':'').'<span id="radio_new"><input type="radio" name="refori" id="newref" value="'.$newref.'"'.($order_to_proposal?' checked="checked"':'').' />'.$newref.'</span>',
					  'value' => $refsuffix, 'size' => '20" maxlength="'.$maxchars.'"');

				$formquestion[] = array('type'=>'hidden', 'name'=>'refstart', 'value'=> empty($order_to_proposal)?$refori:$newref);


				$checkrefpgm = dol_buildpath('/dolitools/ajax/checkRef.php', 1);

				if (empty($order_to_proposal)) $jsconfirm .= '
					$("#dialog-confirm input#socid").change( function() {
						if ($(this).val() != '.$object->socid.') {
							$("#dialog-confirm input#newref, #dialog-confirm span#radio_refori").hide(); // TODO: ajouter parametrage
							$("#dialog-confirm input#newref").prop("checked", "checked");
							$("#dialog-confirm input[name=refstart]").val("'.$newref.'");
							$("#dialog-confirm #clone_ref").attr("maxlength", "'.$maxcharsnewref.'").val("");
						}
						else {
							$("#dialog-confirm input#newref, #dialog-confirm span#radio_refori").show(); // TODO: ajouter parametrage
							$("#dialog-confirm input#refori").prop("checked", "checked");
							$("#dialog-confirm input[name=refstart]").val("'.$refori.'");
							$("#dialog-confirm #clone_ref").attr("maxlength", "'.$maxchars.'");
						}
					});

					$("#dialog-confirm input[name=refori]").change(function() {
						$("#dialog-confirm input[name=refstart]").val($(this).val());
						if ($(this).val() == "'.$newref.'")
							$("#dialog-confirm #clone_ref").attr("maxlength", "'.$maxcharsnewref.'").val("");
						else
							$("#dialog-confirm #clone_ref").attr("maxlength", "'.$maxchars.'").val("'.$refsuffix.'");
					});';

					$jsconfirm .= '
					$("div[aria-describedby=dialog-confirm] div.ui-dialog-buttonset button:first").click(function(e) {
						var newref = $("#dialog-confirm input[name=refstart]").val();
						if ($("#dialog-confirm #clone_ref").val().trim() != "")
						{
							if ($("#dialog-confirm #clone_ref").val().substr(0,'.$lensep.') != "'.$sep.'")
								newref = newref + "'.$sep.'" + $("#dialog-confirm #clone_ref").val();
							else
								newref = newref + $("#dialog-confirm #clone_ref").val();
						}';

						if ( ! empty($conf->global->DOLITOOLS_REF_SUFFIX_MANDATORY) )
						{
							$jsconfirm .= ' else if (ok) { ok=false; alert("'.$langs->transnoentities("RefSuffixMandatory").'"); return false; }';
						}

						$jsconfirm .= '$.getJSON("'.$checkrefpgm.'", { "element": "'.$element.'", "ref": newref}, function(data) {
							if (data.ok > 0 && ok) { ok = false; alert("'.$langs->transnoentities("RefAlreadyExists").'"); return false; }
						});
					});';

			}
		}
